org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface PersistenceContextRefType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface PersistenceContextRefType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `persistence-context-refType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InjectionTargetType<PersistenceContextRefType<T>>` | `createInjectionTarget()` Creates a new `injection-target` element
    `PropertyType<PersistenceContextRefType<T>>` | `createPersistenceProperty()` Creates a new `persistence-property` element
    `PersistenceContextRefType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<InjectionTargetType<PersistenceContextRefType<T>>>` | `getAllInjectionTarget()` Returns all `injection-target` elements
    `java.util.List<PropertyType<PersistenceContextRefType<T>>>` | `getAllPersistenceProperty()` Returns all `persistence-property` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getMappedName()` Returns the `mapped-name` element
    `InjectionTargetType<PersistenceContextRefType<T>>` | `getOrCreateInjectionTarget()` If not already created, a new `injection-target` element will be created and returned.
    `PropertyType<PersistenceContextRefType<T>>` | `getOrCreatePersistenceProperty()` If not already created, a new `persistence-property` element will be created and returned.
    `java.lang.String` | `getPersistenceContextRefName()` Returns the `persistence-context-ref-name` element
    `PersistenceContextSynchronizationType` | `getPersistenceContextSynchronization()` Returns the `persistence-context-synchronization` element
    `java.lang.String` | `getPersistenceContextSynchronizationAsString()` Returns the `persistence-context-synchronization` element
    `PersistenceContextTypeType` | `getPersistenceContextType()` Returns the `persistence-context-type` element
    `java.lang.String` | `getPersistenceContextTypeAsString()` Returns the `persistence-context-type` element
    `java.lang.String` | `getPersistenceUnitName()` Returns the `persistence-unit-name` element
    `PersistenceContextRefType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `PersistenceContextRefType<T>` | `mappedName(java.lang.String mappedName)` Sets the `mapped-name` element
    `PersistenceContextRefType<T>` | `persistenceContextRefName(java.lang.String persistenceContextRefName)` Sets the `persistence-context-ref-name` element
    `PersistenceContextRefType<T>` | `persistenceContextSynchronization(PersistenceContextSynchronizationType persistenceContextSynchronization)` Sets the `persistence-context-synchronization` element
    `PersistenceContextRefType<T>` | `persistenceContextSynchronization(java.lang.String persistenceContextSynchronization)` Sets the `persistence-context-synchronization` element
    `PersistenceContextRefType<T>` | `persistenceContextType(PersistenceContextTypeType persistenceContextType)` Sets the `persistence-context-type` element
    `PersistenceContextRefType<T>` | `persistenceContextType(java.lang.String persistenceContextType)` Sets the `persistence-context-type` element
    `PersistenceContextRefType<T>` | `persistenceUnitName(java.lang.String persistenceUnitName)` Sets the `persistence-unit-name` element
    `PersistenceContextRefType<T>` | `removeAllDescription()` Removes the `description` element
    `PersistenceContextRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
    `PersistenceContextRefType<T>` | `removeAllPersistenceProperty()` Removes all `persistence-property` elements
    `PersistenceContextRefType<T>` | `removeId()` Removes the `id` attribute
    `PersistenceContextRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
    `PersistenceContextRefType<T>` | `removePersistenceContextRefName()` Removes the `persistence-context-ref-name` element
    `PersistenceContextRefType<T>` | `removePersistenceContextSynchronization()` Removes the `persistence-context-synchronization` attribute
    `PersistenceContextRefType<T>` | `removePersistenceContextType()` Removes the `persistence-context-type` attribute
    `PersistenceContextRefType<T>` | `removePersistenceUnitName()` Removes the `persistence-unit-name` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### mappedName

          PersistenceContextRefType<T> mappedName(java.lang.String mappedName)

      Sets the `mapped-name` element
      Parameters:
        `mappedName` - the value for the element `mapped-name`
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### getMappedName

          java.lang.String getMappedName()

      Returns the `mapped-name` element
      Returns:
        the node defined for the element `mapped-name`

    - #### removeMappedName

          PersistenceContextRefType<T> removeMappedName()

      Removes the `mapped-name` element
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### getOrCreateInjectionTarget

          InjectionTargetType<PersistenceContextRefType<T>> getOrCreateInjectionTarget()

      If not already created, a new `injection-target` element will be created and returned. Otherwise, the first existing `injection-target` element will be returned.
      Returns:
        the instance defined for the element `injection-target`

    - #### createInjectionTarget

          InjectionTargetType<PersistenceContextRefType<T>> createInjectionTarget()

      Creates a new `injection-target` element
      Returns:
        the new created instance of `InjectionTargetType>`

    - #### getAllInjectionTarget

          java.util.List<InjectionTargetType<PersistenceContextRefType<T>>> getAllInjectionTarget()

      Returns all `injection-target` elements
      Returns:
        list of `injection-target`

    - #### removeAllInjectionTarget

          PersistenceContextRefType<T> removeAllInjectionTarget()

      Removes all `injection-target` elements
      Returns:
        the current instance of `InjectionTargetType>`

    - #### description

          PersistenceContextRefType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          PersistenceContextRefType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### persistenceContextRefName

          PersistenceContextRefType<T> persistenceContextRefName(java.lang.String persistenceContextRefName)

      Sets the `persistence-context-ref-name` element
      Parameters:
        `persistenceContextRefName` - the value for the element `persistence-context-ref-name`
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### getPersistenceContextRefName

          java.lang.String getPersistenceContextRefName()

      Returns the `persistence-context-ref-name` element
      Returns:
        the node defined for the element `persistence-context-ref-name`

    - #### removePersistenceContextRefName

          PersistenceContextRefType<T> removePersistenceContextRefName()

      Removes the `persistence-context-ref-name` element
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### persistenceUnitName

          PersistenceContextRefType<T> persistenceUnitName(java.lang.String persistenceUnitName)

      Sets the `persistence-unit-name` element
      Parameters:
        `persistenceUnitName` - the value for the element `persistence-unit-name`
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### getPersistenceUnitName

          java.lang.String getPersistenceUnitName()

      Returns the `persistence-unit-name` element
      Returns:
        the node defined for the element `persistence-unit-name`

    - #### removePersistenceUnitName

          PersistenceContextRefType<T> removePersistenceUnitName()

      Removes the `persistence-unit-name` element
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### persistenceContextType

          PersistenceContextRefType<T> persistenceContextType(PersistenceContextTypeType persistenceContextType)

      Sets the `persistence-context-type` element
      Parameters:
        `persistenceContextType` - the value for the element `persistence-context-type`
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### persistenceContextType

          PersistenceContextRefType<T> persistenceContextType(java.lang.String persistenceContextType)

      Sets the `persistence-context-type` element
      Parameters:
        `persistenceContextType` - the value for the element `persistence-context-type`
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### getPersistenceContextType

          PersistenceContextTypeType getPersistenceContextType()

      Returns the `persistence-context-type` element
      Returns:
        the value found for the element `persistence-context-type`

    - #### getPersistenceContextTypeAsString

          java.lang.String getPersistenceContextTypeAsString()

      Returns the `persistence-context-type` element
      Returns:
        the value found for the element `persistence-context-type`

    - #### removePersistenceContextType

          PersistenceContextRefType<T> removePersistenceContextType()

      Removes the `persistence-context-type` attribute
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### persistenceContextSynchronization

          PersistenceContextRefType<T> persistenceContextSynchronization(PersistenceContextSynchronizationType persistenceContextSynchronization)

      Sets the `persistence-context-synchronization` element
      Parameters:
        `persistenceContextSynchronization` - the value for the element `persistence-context-synchronization`
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### persistenceContextSynchronization

          PersistenceContextRefType<T> persistenceContextSynchronization(java.lang.String persistenceContextSynchronization)

      Sets the `persistence-context-synchronization` element
      Parameters:
        `persistenceContextSynchronization` - the value for the element `persistence-context-synchronization`
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### getPersistenceContextSynchronization

          PersistenceContextSynchronizationType getPersistenceContextSynchronization()

      Returns the `persistence-context-synchronization` element
      Returns:
        the value found for the element `persistence-context-synchronization`

    - #### getPersistenceContextSynchronizationAsString

          java.lang.String getPersistenceContextSynchronizationAsString()

      Returns the `persistence-context-synchronization` element
      Returns:
        the value found for the element `persistence-context-synchronization`

    - #### removePersistenceContextSynchronization

          PersistenceContextRefType<T> removePersistenceContextSynchronization()

      Removes the `persistence-context-synchronization` attribute
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### getOrCreatePersistenceProperty

          PropertyType<PersistenceContextRefType<T>> getOrCreatePersistenceProperty()

      If not already created, a new `persistence-property` element will be created and returned. Otherwise, the first existing `persistence-property` element will be returned.
      Returns:
        the instance defined for the element `persistence-property`

    - #### createPersistenceProperty

          PropertyType<PersistenceContextRefType<T>> createPersistenceProperty()

      Creates a new `persistence-property` element
      Returns:
        the new created instance of `PropertyType>`

    - #### getAllPersistenceProperty

          java.util.List<PropertyType<PersistenceContextRefType<T>>> getAllPersistenceProperty()

      Returns all `persistence-property` elements
      Returns:
        list of `persistence-property`

    - #### removeAllPersistenceProperty

          PersistenceContextRefType<T> removeAllPersistenceProperty()

      Removes all `persistence-property` elements
      Returns:
        the current instance of `PropertyType>`

    - #### id

          PersistenceContextRefType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `PersistenceContextRefType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          PersistenceContextRefType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `PersistenceContextRefType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)